=== debian/changelog ===
dde-control-center (6.0.71) unstable; urgency=medium

  * Release 6.0.71
  * fix: adapt to compact mode

 -- Zhang Kun <zhangkun2@uniontech.com>  Thu, 24 Oct 2024 19:09:05 +0800

dde-control-center (6.0.70) unstable; urgency=medium

  * chore: add translations about time format
  * chore: add the country feature
  * fix: Modify the style of the image source list widget
  * chore: Add 'qt6-declarative-private-dev' dependency in control
  * fix: Fixed the problem of obtaining the path of the boot menu theme image
  * feat: 蓝牙图标改成和dde-tray-loader一样的内建图标
  * feat: Control Center-General Module Design and Transformation
  * feat: add dccrepeater
  * feat: implement personalized module

 -- Yutao Meng <mengyutao@deepin.org>  Wed, 16 Oct 2024 17:29:08 +0800

dde-control-center (6.0.69) unstable; urgency=medium

  * Display compact mode

 -- Zhang Kun <zhangkun2@uniontech.com>  Sat, 12 Oct 2024 10:28:49 +0800

dde-control-center (6.0.68) unstable; urgency=medium

  * release 6.0.68

 -- Mike Chen <chenke@deepin.org>  Fri, 27 Sep 2024 14:11:00 +0800

dde-control-center (6.0.67) unstable; urgency=medium

  * fix: incorrect bluetooth device icon theme type

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 25 Sep 2024 17:58:11 +0800

dde-control-center (6.0.66) unstable; urgency=medium

  * release 6.0.66
  * feat: remove linglong update
  * feat: add compact mode and hide it by default

 -- Zhang Kun <zhangkun2@uniontech.com>  Thu, 12 Sep 2024 15:49:46 +0800

dde-control-center (6.0.65) unstable; urgency=medium

  * fix: need click twice to set hidden dock plugin visible

 -- Yutao Meng <mengyutao@deepin.org>  Wed, 04 Sep 2024 16:47:38 +0800

dde-control-center (6.0.64) unstable; urgency=medium

  * bump version to 6.0.64

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 29 Aug 2024 10:34:15 +0800

dde-control-center (6.0.63) unstable; urgency=medium

  * fix: set search popup distance from searchLineEdit to 8 (#1675)(Issue: 10398)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 22 Aug 2024 11:02:02 +0800
