## dde-control-center 6.0.75+deepin0+rb1

=== CMakeLists.txt ===
--- 
+++ 
@@ -149,7 +149,7 @@
 # Find the library
 find_package(PkgConfig REQUIRED)
 find_package(${DTK_NS} REQUIRED COMPONENTS Core Gui  )
-find_package(${QT_NS} COMPONENTS Core Quick Gui Network DBus Concurrent Test LinguistTools REQUIRED)
+find_package(${QT_NS} COMPONENTS Core Quick Gui Network DBus Concurrent Test LinguistTools Multimedia REQUIRED)
 find_package(GTest REQUIRED)
 find_package(Threads REQUIRED)
 
@@ -171,8 +171,10 @@
     -lgcov
     Threads::Threads
     GTest::gtest
-    Qt::Test
+    ${QT_NS}::Test
 )
+
+set(DCC_FRAME_Library dde-control-center_frame)
 
 add_subdirectory(src/dde-control-center)
 #--------------------------plugins--------------------------
@@ -187,3 +189,4 @@
 add_subdirectory(src/plugin-touchscreen)
 add_subdirectory(src/plugin-datetime)
 add_subdirectory(src/plugin-wacom)
+add_subdirectory(src/plugin-bluetooth)
