=== src/plugin-sound/CMakeLists.txt ===
--- 
+++ 
@@ -22,9 +22,10 @@
 endif()
 
 set(Sound_Libraries
-    dde-control-center
+    ${DCC_FRAME_Library}
     ${DTK_NS}::Gui
     ${QT_NS}::DBus
+    ${QT_NS}::Multimedia
 )
 
 target_link_libraries(${Sound_Name} PRIVATE
