=== debian/changelog ===
dde-control-center (6.0.75+deepin0+rb1) unstable; urgency=medium

  * release 6.0.75

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 13 Nov 2024 11:41:03 +0800

dde-control-center (6.0.74) UNRELEASED; urgency=medium

  * release 6.0.74

 -- Zhangkun <zhangkun2@uniontech.com>  Fri, 08 Nov 2024 14:26:12 +0800

dde-control-center (6.0.73) unstable; urgency=medium

  * release 6.0.73 

 -- Zhangkun <zhangkun2@uniontech.com>  Thu, 07 Nov 2024 15:58:29 +0800

dde-control-center (6.0.72) unstable; urgency=medium

  * release 6.0.72

 -- Mike Chen <chenke@deepin.org>  Thu, 31 Oct 2024 13:36:34 +0800
