=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  qt6-tools-dev,
  qt6-declarative-private-dev,
  libdtkcommon-dev,
- libdtk6gui-dev,
+ libdtk6gui-dev(>=6.0.21),
  libdtk6core-dev,
  doxygen,
  libgtest-dev,
@@ -21,6 +21,10 @@
  qml6-module-qtquick-layouts,
  qml6-module-qtquick-window,
  qml6-module-qt-labs-qmlmodels,
+ qt6-wayland-dev,
+ qt6-wayland-private-dev,
+ qt6-wayland-dev-tools,
+ treeland-protocols,
  systemd,
  qtbase5-dev,
  qtbase5-private-dev,
@@ -29,6 +33,7 @@
  libdtkcore-dev(>>5.6.18),
  libdtkcore5-bin,
  qtmultimedia5-dev,
+ qt6-multimedia-dev,
  libdareader-dev,
  libdeepin-pw-check-dev,
  libpolkit-qt5-1-dev,
@@ -45,6 +50,7 @@
  qml6-module-qtquick-layouts,
  qml6-module-qtquick-window,
  qml6-module-qt-labs-qmlmodels,
+ qml6-module-qtquick-dialogs,
  libdtk6declarative,
  netselect,
 Description: New control center for Deepin Desktop Environment,
